<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Tables</title>
</head>
<body>
	<h2 align="center">Welcome to the Tables Page</h2>

	<ul>
		<li><a href="./index.html">Home</a></li>
		<li><a href="./form.html">Forms</a></li>
		<li><a href="../activity/contact.html">Contact</a></li>
	</ul>
	<!-- 
		div is a container of text and other elements or even other divs. It represents a division in our page. The difference between a span and a div is that a div is displayed as a block element. 
	-->
	<!-- 
		id attribute allows us to add a unique identifier to a unique element in a page. id allows us to design a particular element or even add JS features to that element. The value of attribute is user defined.
	 -->
	 <!-- 
		Semantic Div, a semantic div is a div which is uniquely identified with an id that clearly defines the content and the purpose of the div.
	  -->
	<div id="mainContent">
		<h3>HTML Entities</h3>
		<p>
			<em>There are reserved characters in HTML. (e.g. &lt; or &gt;)</em>
		</p>
		<p>
			HTML Entities start with an ampersand (&) and end with a semicolon (;)
		</p>
		<!-- tables are created by using a table tag -->
		<!-- border attribute allows us to modify the thickness of the tables' border. -->
		<table border="1">
			<!-- 
				tables can be divided by a thead, tbody, tfoot
				thead will contain all the table headers or labels per column

				tbody contains the actual table data

				tfoot will contain a footer which is additional information about the table
			 -->
			 <thead>
			 	<!-- tr table row, it allows to properly contain our th or tds in a row. -->
			 	<tr>
			 		<!-- th means table header it allows us to add cells which will be our headers. Texts in th are bolded. -->
			 		<!-- colspan attribute determines how many column a cell (th or td) will occupy. -->
			 		<th colspan="2">Entity</th>
			 		<th>Description</th>
			 	</tr>
			 </thead>
			 <tbody>
			 	<!-- td means table data. It allows to add cells with our actual table data. Text here are not bolded -->
			 	<tr>
			 		<td>&lt;</td>
			 		<td>lt</td>
			 		<td>Less Than</td>
			 	</tr>
			 	<tr>
			 		<td>&gt;</td>
			 		<td>gt</td>
			 		<td>Greater Than</td>
			 	</tr>
			 	<tr>
			 		<td>&#8369;</td>
			 		<td>#8369</td>
			 		<td>Peso Sign</td>
			 	</tr>
			 	<tr>
			 		<td>&amp;</td>
			 		<td>amp</td>
			 		<td>Ampersand</td>
			 	</tr>
			 	<tr>
			 		<td>&quot;</td>
			 		<td>quot</td>
			 		<td>Double Quotation Mark</td>
			 	</tr>
			 	<tr>
			 		<td>&apos;</td>
			 		<td>apos</td>
			 		<td>Apostrophe (Single Quotation Mark)</td>
			 	</tr>
			 	<tr>
			 		<td>&ntilde;</td>
			 		<td>ntilde</td>
			 		<td>Lower Tilde</td>
			 	</tr>
			 	<tr>
			 		<td>&Ntilde;</td>
			 		<td>Ntilde</td>
			 		<td>Upper Tilde</td>
			 	</tr>
			 </tbody>
			 <tfoot>
			 	<tr>
			 		<th colspan="3">These are some common HTML Entities. There are many more to be learned.</th>
			 	</tr>
			 </tfoot>
		</table>

		<hr>

		<h3>My Product List</h3>
		<table border="2">
			<thead>
				<tr>
					<th>Name</th>
					<th>Price</th>
					<th>Description</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td>Oran Berry</td>
					<td>30.00 PHP</td>
					<td>Restores the Pokemon's HP by 20 points.</td>
				</tr>
				<tr>
					<td>Cherri Berry</td>
					<td>75.00 PHP</td>
					<td>Heals the Pokemon from Paralysis.</td>
				</tr>
				<tr>
					<td>Chesto Berry</td>
					<td>75.00 PHP</td>
					<td>Awakens the Pokemon from Sleeping.</td>
				</tr>
				<tr>
					<td>Pecha Berry</td>
					<td>75.00 PHP</td>
					<td>Heals the Pokemon from Poison.</td>
				</tr>
				<tr>
					<td>Rawst Berry</td>
					<td>75.00 PHP</td>
					<td>Heals the Pokemon from Burn.</td>
				</tr>
				<tr>
					<td>Aspear Berry</td>
					<td>75.00 PHP</td>
					<td>Heals the Pokemon from being Frozen.</td>
				</tr>
			</tbody>
		</table>
	</div>

</body>
</html>